<?php
/**
 * featured Section options
 *
 * @package Theme Palace
 * @subpackage Blog Diary Pro
 * @since Blog Diary Pro 1.0.0
 */

// Add featured section
$wp_customize->add_section( 'blog_diary_pro_featured_section', array(
	'title'             => esc_html__( 'Featured Products','blog-diary-pro' ),
	'description'       => esc_html__( 'Note: To activate this section you need to install WooCommerce Plugin.', 'blog-diary-pro' ),
	'panel'             => 'blog_diary_pro_front_page_panel',
) );

// featured content enable control and setting
$wp_customize->add_setting( 'blog_diary_pro_theme_options[featured_section_enable]', array(
	'default'			=> 	$options['featured_section_enable'],
	'sanitize_callback' => 'blog_diary_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Blog_Diary_Pro_Switch_Control( $wp_customize, 'blog_diary_pro_theme_options[featured_section_enable]', array(
	'label'             => esc_html__( 'Featured Section Enable', 'blog-diary-pro' ),
	'section'           => 'blog_diary_pro_featured_section',
	'on_off_label' 		=> blog_diary_pro_switch_options(),
) ) );


for ( $i = 1; $i <= 2; $i++ ) :


	// Add dropdown category setting and control.
	$wp_customize->add_setting(  'blog_diary_pro_theme_options[featured_content_featured_category_'.$i.']', array(
		'sanitize_callback' => 'absint',
	) ) ;

	$wp_customize->add_control( new Blog_Diary_Pro_Dropdown_Taxonomies_Control( $wp_customize,'blog_diary_pro_theme_options[featured_content_featured_category_'.$i.']', array(
		'label'             => esc_html__( 'Select Featured Category ', 'blog-diary-pro' ).$i,
		'section'           => 'blog_diary_pro_featured_section',
		'taxonomy'			=> 'product_cat',
		'type'              => 'dropdown-taxonomies',
		'active_callback'	=> 'blog_diary_pro_is_featured_section_enable'
	) ) );

	$wp_customize->add_setting( 'blog_diary_pro_theme_options[featured_short_description_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'blog_diary_pro_theme_options[featured_short_description_'.$i.']', array(
		'label'           	=> esc_html__( 'Short Description ', 'blog-diary-pro' ).$i,
		'section'        	=> 'blog_diary_pro_featured_section',
		'active_callback' 	=> 'blog_diary_pro_is_featured_section_enable',
		'type'				=> 'text',
	) );

endfor;

// featured btn title setting and control
	$wp_customize->add_setting( 'blog_diary_pro_theme_options[featured_btn_title]', array(
		'sanitize_callback' => 'sanitize_text_field',
		) );

	$wp_customize->add_control( 'blog_diary_pro_theme_options[featured_btn_title]', array(
		'label'           	=> esc_html__( 'Button Label ', 'blog-diary-pro' ),
		'section'        	=> 'blog_diary_pro_featured_section',
		'active_callback' 	=> 'blog_diary_pro_is_featured_section_enable',
		'type'				=> 'text',
		) );

