<?php
/**
 * Moral OCDI plugin compatible functions
 *
 * @package Moral
 */

function blog_diary_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'blog-diary-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'blog_diary_pro_ctdi_plugin_page_setup' );


function blog_diary_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Free', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/free/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/free/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/free/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/free/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary',
        ),

        array(
            'import_file_name'             => esc_html__( 'Pro', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/pro/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/pro/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/pro/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/pro/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Dark', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/dark/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/dark/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/dark/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/dark/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary-pro-dark',
        ),
        array(
            'import_file_name'             => esc_html__( 'Classic', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/classic/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/classic/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/classic/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/classic/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary-pro-classic',
        ),

        array(
            'import_file_name'             => esc_html__( 'Business', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/business/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/business/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/business/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/business/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary-pro-business',
        ),
        array(
            'import_file_name'             => esc_html__( 'Shop', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/shop/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/shop/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/shop/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/shop/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary-pro-shop',
        ),
        array(
            'import_file_name'             => esc_html__( 'Magazine', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/magazine/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/magazine/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/magazine/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/magazine/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary-pro-magazine',
        ),
        array(
            'import_file_name'             => esc_html__( 'Travel', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/travel/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/travel/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/travel/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/travel/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary-pro-travel',
        ),

        array(
            'import_file_name'             => esc_html__( 'Photography', 'blog-diary-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/photography/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/photography/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/photography/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/photography/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blog-diary-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blog-diary-photography',
        ),




    );
}
add_filter( 'cp-ctdi/import_files', 'blog_diary_pro_ctdi_import_files' );



function blog_diary_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $secondary_menu = get_term_by( 'name', 'Secondary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'secondary' => $secondary_menu->term_id,
            'social' => $social->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'blog_diary_pro_ctdi_after_import_setup' );
