<?php
/**
* Subscription section
*
* This is the template for the content of subscription section
*
* @package Theme Palace
* @subpackage Blog Diary Pro
* @since Blog Diary Pro 1.0.0
*/
if ( ! function_exists( 'blog_diary_pro_add_Subscription_section' ) ) :
/**
* Add subscription section
*
*@since Blog Diary Pro 1.0.0
*/
function blog_diary_pro_add_Subscription_section() {
  $options = blog_diary_pro_get_theme_options();

// Check if subscription is enabled on frontpage
  $subscription_enable = apply_filters( 'blog_diary_pro_section_status', true, 'subscription_section_enable' );

  if ( true !== $subscription_enable ) {
    return false;
  }

// Render subscription section now.
  blog_diary_pro_render_subscription_section();
}
endif;

if ( ! function_exists( 'blog_diary_pro_render_subscription_section' ) ) :
/**
* Start subscription section
*
* @return string subscription content
* @since Blog Diary Pro 1.0.0
*
*/
function blog_diary_pro_render_subscription_section() {
  if ( ! class_exists( 'Jetpack' ) ) {
    return;
  } elseif ( class_exists( 'Jetpack' ) ) {
    if ( ! Jetpack::is_module_active( 'subscriptions' ) )
      return;
  }
  $options = blog_diary_pro_get_theme_options();

  $subscription_btn_title         = ! empty( $options['subscription_btn_title'] ) ? $options['subscription_btn_title'] : esc_html__( 'Subscribe Now', 'blog-diary-pro' );
  $subscription_title             = ! empty( $options['subscription_title'] ) ? $options['subscription_title'] : '';
  $subscription_description       = ! empty( $options['subscription_description'] ) ? $options['subscription_description'] : '';
  $subscription_sub_title         = ! empty( $options['subscription_sub_title'] ) ? $options['subscription_sub_title'] : esc_html__( 'Subscribe Now', 'blog-diary-pro' );
  $subscription_bg_image          = ! empty( $options['subscription_bg_image'] ) ? $options['subscription_bg_image'] : '#';

  ?>
  <?php if ( $options['home_layout'] == 'third-design' || $options['home_layout'] == 'fifth-design' || $options['home_layout'] == 'seventh-design' || $options['home_layout'] == 'eight-design' || $options['home_layout'] == 'nine-design' ): ?>
    <div id="business-subscribe-us" class="relative page-section" style="background-image: url('<?php echo esc_url($subscription_bg_image); ?>');">
      <div class="overlay"></div>
      <div class="wrapper">
        <div class="subscribe-form-wrapper">
          <?php if ( ! empty( $subscription_sub_title ) ) : ?>
            <p class="subtitle"><?php echo esc_html($subscription_sub_title); ?></p>
          <?php endif; 

          $subscription_shortcode = '[jetpack_subscription_form title="'.esc_html($subscription_title).'" subscribe_text="'.esc_html($subscription_description).'" subscribe_button="' . esc_html( $subscription_btn_title ) . '" show_subscribers_total="0"]';
          echo do_shortcode( wp_kses_post( $subscription_shortcode ) );

          ?>

        </div><!-- .subscribe-form-wrapper -->
      </div><!-- .wrapper -->
    </div>
  <?php endif; ?>

  <?php }
  endif;
